import { BrowserModule} from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { AppComponent } from './app.component';
import { DatePipe } from '@angular/common';


import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { FormsModule } from '@angular/forms';
import { MulticomponentComponent } from './multicomponent/multicomponent.component';
import { AgGridModule } from 'ag-grid-angular';
import { NumericTextBoxModule} from '@syncfusion/ej2-angular-inputs'

@NgModule({
  declarations: [
    AppComponent, MulticomponentComponent
  ],
  imports: [
    NumericTextBoxModule,
    AgGridModule.withComponents([MulticomponentComponent]),
    BrowserModule,
    FormsModule,
    BrowserAnimationsModule,
  ],
  providers: [
    DatePipe
  ],
  bootstrap: [AppComponent]
})
export class AppModule { 

  
}
