import { Component, ViewChild, ElementRef } from '@angular/core';
import { ICellEditorAngularComp } from 'ag-grid-angular';
import { DateTimePickerComponent, PreventableEventArgs } from '@syncfusion/ej2-angular-calendars';
import { DatePipe } from '@angular/common';
import { NumericTextBoxComponent} from '@syncfusion/ej2-angular-inputs'

@Component({
  selector: 'app-multicomponent',
  templateUrl: './multicomponent.component.html',
  styleUrls: ['./multicomponent.component.css']
})
export class MulticomponentComponent implements ICellEditorAngularComp  {
  params: any;
  rowDate: any;
  inputDate: any;
  dateValue1: Date;
  dateValue2: Date;
  cssWork: string;
  locale: string;
  popupPosition: string;
  value: any = [];
  // object creation in the dateTimePicker component 
  @ViewChild('datetime')
  public dateTimeObj: NumericTextBoxComponent;
  public timeDisplaySteps = 30;
  public widthValue = "100%";

 constructor(private element: ElementRef, private datePipe: DatePipe) {
    const elementRef = this.element.nativeElement;

    elementRef.addEventListener('keydown', function (event) {
      event.stopPropagation();
    });
    this.cssWork = 'cornflowerblue';
    this.locale = 'en-US';
    this.popupPosition = 'Bottom';
  }
  agInit(params: any): void {
    this.params = params;
    this.rowDate = params.value;
    if (this.rowDate && (this.rowDate !== '') && (this.rowDate !== null)) {
    }
  }
  getValue(): any {
    return (document.getElementById("numeric") as any).ej2_instances[0].element.value;
  }
  

}
